﻿@using SharedCode.Localization
@model SharedCode.WebUI.Models.IProjectRoomViewModel

@using (Html.BeginForm(controllerName: AppStrings.HomeControllerName, actionName: AppStrings.ProjectRoomLoginActionName, method: FormMethod.Post))
{
    <div class="container p-2">
        <div class="container border rounded shadow pl-4 pr-4 pt-2">
            @Html.HiddenFor(model => model.Id)
            @Html.HiddenFor(model => model.Access)
            <div class="form-group">
                <div class="d-flex justify-content-between">
                    <div class="form-inline">
                        <a>@LanguageStrings.ProjectRoomModelName:</a>
                        <a class="ml-2 font-weight-bold">@Model.Name</a>
                    </div>
                    <div class="form-inline">
                        <a>@LanguageStrings.ProjectRoomModelAccess:</a>
                        <a class="ml-2">@Model.Access</a>
                    </div>
                </div>
            </div>
            <hr class="my-2">
            <div class="form-group">
                <div class="d-flex justify-content-between">
                    @if (Model.Access.ToLower() == LanguageStrings.AccessPrivate.ToLower())
                    {
                        @Html.PasswordFor(m => m.Password, new { @class = "form-control w-50 mr-1", @placeholder = LanguageStrings.AppUserModelPassword, @autocomplete = "off" })
                    }
                    else
                    {
                        @Html.PasswordFor(m => m.Password, new { disabled = "disabled", @class = "form-control w-50 mr-1", @placeholder = LanguageStrings.AppUserModelPassword, @autocomplete = "off" })
                    }
                    <input type="submit" class="btnAppGreen" value="@LanguageStrings.LoginButtonTitle" />
                </div>
            </div>
            <div class="form-group">
                @if (TempData[AppStrings.ErrorMessageTag + Model.Id] != null)
                {
                    <label style="color:maroon;"> @TempData[AppStrings.ErrorMessageTag + Model.Id] </label>
                }
            </div>
        </div>
    </div>
}